Bug 32410 - Schema extension package for UDM extension objects
Schema extension package for UDM extension objects
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Stefan Gohmann
: interim-3
Depends on:
Blocks: 32403 32406 32409
  Show dependency treegraph
 
Reported: 2013-08-28 14:35 CEST by Arvid Requate
Modified: 2013-11-19 06:44 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-08-28 14:35:36 CEST
For Bug 32403 a new objectClass univentionUDMHook is required.
For Bug 32406 a new objectClass univentionUDMSyntax is required.
For Bug 32409 a new objectClass univentionUDMModule is required.

A schema extension package should be implemented for this purpose.
Comment 1 Arvid Requate univentionstaff 2013-09-05 22:22:44 CEST
Packaged as part of univention-ldap-server.
Changelog committed
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2013-09-27 10:56:16 CEST
OK: Schema files 
FAIL: There are no mechanism implemented that guarantee that the ldap schema 
      will be updated before the UDM modules and that the UDM modules will be
      updated before univention-lib.
OK: Changelog entry
Comment 3 Arvid Requate univentionstaff 2013-10-08 15:34:44 CEST
True, the univention lib functions use the new udm modules but I cannot introduce a dependency of univention-lib on python-univention-directory-manager-modules. Both packages are updated during the release, so it should work. I would suggest to be optimistic in this case and see in the product update tests if there is a case where this breaks. An analogous argument holds for udm-modules.
Comment 4 Stefan Gohmann univentionstaff 2013-10-31 13:39:41 CET
(In reply to Arvid Requate from comment #3)
> True, the univention lib functions use the new udm modules but I cannot
> introduce a dependency of univention-lib on
> python-univention-directory-manager-modules. Both packages are updated
> during the release, so it should work. I would suggest to be optimistic in
> this case and see in the product update tests if there is a case where this
> breaks. An analogous argument holds for udm-modules.

OK.
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:44:36 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".